#!/bin/bash
set -e

# ubuntu-icon-theme-switcher 0.0.2
# Copyright (C) 2012-2014 Marcos Alvarez Costales https://launchpad.net/~costales
# ubuntu-icon-theme-switcher is free software. You can redistribute it and/or modify under the terms of the GPL3 or any later version
# See http://www.gnu.org/licenses for more information.

# Select an icon theme
function dialog {
	for param in $@
	do
		all_param="$all_param $param";
	done;

	eval "zenity --title='Ubuntu Icon Theme Switcher' --list  --text 'Choose an Icon Theme' --radiolist  --column '' --column 'Theme' $all_param";
}

# Set an icon theme
function set_icon_theme {
	eval "gsettings set org.gnome.desktop.interface icon-theme '$1'";
}

# Get icon themes
function get_folders {
	for dir in $1
	do
		# Get just color or theme name
		if [ $2 = "true" ] ; then
			name=${dir/\/usr\/share\/icons\/Humanity-Light-/};
		else
			name=${dir/\/usr\/share\/icons\/};
		fi
		
		if [[ ! -e "$dir/cursors" ]]; then
			all_themes="$all_themes FALSE $name";
		fi
	done
	echo $all_themes;
}


eval "zenity --title 'Ubuntu Icon Theme Switcher v 0.0.2' --text 'Created for the Folder Color app http://foldercolor.tuxfamily.org/\nThis script changes the icon theme in Ubuntu, and it allows an easy change to the RAVEfinity colors.\n\nThere are not secrets in the script :) If you want to change the current icon theme by hand, run these commands (1st for know installed themes):\n\nls /usr/share/icons\ngsettings set org.gnome.desktop.interface icon-theme \"custom_theme_here\"' --info";

all_colors=$( get_folders "/usr/share/icons/Humanity-Light-*" "true");
all_themes=$( get_folders "/usr/share/icons/*" "false");

if [ -n "$all_colors" ]; then
	answer=$( dialog "TRUE 'By Default' FALSE 'Show All Themes' $all_colors" );
else
	eval "zenity --text 'RAVEfinity Theme not Found. Showing all icon themes\nInstall this for changing the default Orange color:\nhttp://www.ravefinity.com/p/humanity-colors-icon-theme.html' --info";
	answer="Show All Themes";
fi

case $answer in
	"By Default")
		set_icon_theme "ubuntu-mono-dark";;

	"Show All Themes")
		answer=$( dialog "$all_themes" );
		if [ -n "$answer" ]; then
			set_icon_theme "$answer";
		fi;;

	*)
		if [ -n "$answer" ]; then
			set_icon_theme "Humanity-Light-$answer";
		fi;;
esac


